Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.jbotester
Class NavBar

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JToolBar
                              |
                              +--oracle.jbo.jbotester.NavBar

public final class NavBar
extends javax.swing.JToolBar
implements oracle.jbo.jbotester.JBOControl

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JToolBar
`javax.swing.JToolBar.AccessibleJToolBar, javax.swing.JToolBar.Separator`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary
`static javax.swing.border.Border` | `buttonBorder`
`static int` | `CLOSE`
`static int` | `COMMIT`
`static int` | `CONNECT`
`static int` | `DELETE`
`static int` | `DISCONNECT`
`static int` | `FIND`
`static int` | `FIRST`
`static java.lang.String[][]` | `images`
`static int` | `INSERT`
`static int` | `LAST`
`static int` | `NEXT`
`static int` | `NEXT_PAGE`
`static int` | `NUM_BUTTONS`
`static int` | `PREV_PAGE`
`static int` | `PREVIOUS`
`static int` | `ROLLBACK`
`static int` | `SEPARATE_WIN`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`NavBar(MainFrame frame)`
`NavBar(MainFrame frame, boolean noPopup)`
`NavBar(MainFrame frame, boolean noPopup, int orient)`

Method Summary
`RowSetIterator` | `getIterator()`
`javax.swing.JPanel` | `getMyParent()`
`static void` | `initButton(javax.swing.JButton button, char mnemonic, java.lang.String tip, int index)`
`void` | `navigated(NavigationEvent event)` Invoked when the current-row designation changes.
`void` | `rangeRefreshed(RangeRefreshEvent event)` Invoked when the range changes.
`void` | `rangeScrolled(ScrollEvent event)` Invoked when the range is scrolled.
`void` | `rowDeleted(DeleteEvent event)` Invoked when a row has been deleted.
`void` | `rowInserted(InsertEvent event)` Invoked when a row has been inserted.
`void` | `rowUpdated(UpdateEvent event)` Invoked when an attribute of the row has been changed.
`void` | `setIterator(RowSetIterator iterator)`
`void` | `setMyParent(javax.swing.JPanel parent)`

Methods inherited from class javax.swing.JToolBar
`add, addImpl, addSeparator, addSeparator, createActionChangeListener, getAccessibleContext, getComponentAtIndex, getComponentIndex, getMargin, getOrientation, getUI, getUIClassID, isBorderPainted, isFloatable, paintBorder, paramString, remove, setBorderPainted, setFloatable, setMargin, setOrientation, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, setCursor, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FIRST

    public static final int FIRST

### PREVIOUS

    public static final int PREVIOUS

### NEXT

    public static final int NEXT

### LAST

    public static final int LAST

### INSERT

    public static final int INSERT

### DELETE

    public static final int DELETE

### NEXT_PAGE

    public static final int NEXT_PAGE

### PREV_PAGE

    public static final int PREV_PAGE

### COMMIT

    public static final int COMMIT

### ROLLBACK

    public static final int ROLLBACK

### CONNECT

    public static final int CONNECT

### DISCONNECT

    public static final int DISCONNECT

### FIND

    public static final int FIND

### SEPARATE_WIN

    public static final int SEPARATE_WIN

### CLOSE

    public static final int CLOSE

### NUM_BUTTONS

    public static final int NUM_BUTTONS

### images

    public static final java.lang.String[][] images

### buttonBorder

    public static final javax.swing.border.Border buttonBorder

Constructor Detail

### NavBar

    public NavBar(MainFrame frame)

### NavBar

    public NavBar(MainFrame frame,
                  boolean noPopup)

### NavBar

    public NavBar(MainFrame frame,
                  boolean noPopup,
                  int orient)

Method Detail

### getIterator

    public RowSetIterator getIterator()

  Specified by:
    getIterator in interface oracle.jbo.jbotester.JBOControl

### setIterator

    public void setIterator(RowSetIterator iterator)

  Specified by:
    setIterator in interface oracle.jbo.jbotester.JBOControl

### initButton

    public static void initButton(javax.swing.JButton button,
                                  char mnemonic,
                                  java.lang.String tip,
                                  int index)

### setMyParent

    public void setMyParent(javax.swing.JPanel parent)

### getMyParent

    public javax.swing.JPanel getMyParent()

### navigated

    public void navigated(NavigationEvent event)

  Description copied from interface: RowSetListener
  Invoked when the current-row designation changes.
  Tags copied from interface: RowSetListener
  Parameters:
    `event` - a description of the new and previous current rows.

### rangeRefreshed

    public void rangeRefreshed(RangeRefreshEvent event)

  Description copied from interface: RowSetListener
  Invoked when the range changes.
  Tags copied from interface: RowSetListener
  Parameters:
    `event` - a description of the new ranges.

### rangeScrolled

    public void rangeScrolled(ScrollEvent event)

  Description copied from interface: RowSetListener
  Invoked when the range is scrolled.
  Tags copied from interface: RowSetListener
  Parameters:
    `event` - a description of the new range.

### rowDeleted

    public void rowDeleted(DeleteEvent event)

  Description copied from interface: RowSetListener
  Invoked when a row has been deleted.
  Tags copied from interface: RowSetListener
  Parameters:
    `event` - a description of the deleted Row object.

### rowInserted

    public void rowInserted(InsertEvent event)

  Description copied from interface: RowSetListener
  Invoked when a row has been inserted.
  Tags copied from interface: RowSetListener
  Parameters:
    `event` - a description of the new Row object.

### rowUpdated

    public void rowUpdated(UpdateEvent event)

  Description copied from interface: RowSetListener
  Invoked when an attribute of the row has been changed.
  Tags copied from interface: RowSetListener
  Parameters:
    `event` - a description of the modified Row object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD